> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Messages



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/conversations/{conversation_id}/messages
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/conversations/{conversation_id}/messages:
    get:
      tags:
        - community-messages
      summary: List Messages
      operationId: >-
        community_messages.get_community_messages_get_conversations_by_conversation_id_messages
      parameters:
        - in: path
          name: conversation_id
          required: true
          schema:
            title: Conversation Id
            type: string
        - in: query
          name: page[after]
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page[After]
        - in: query
          name: page[size]
          required: false
          schema:
            anyOf:
              - maximum: 100
                minimum: 1
                type: integer
              - type: 'null'
            title: Page[Size]
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: >-
                  #/components/schemas/JsonApiListResponse_MessageResponseAttributes_
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    JsonApiListResponse_MessageResponseAttributes_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/JsonApiResource_MessageResponseAttributes_'
          title: Data
          type: array
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiPaginationLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: JsonApiListResponse[MessageResponseAttributes]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    JsonApiResource_MessageResponseAttributes_:
      properties:
        attributes:
          $ref: '#/components/schemas/MessageResponseAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[MessageResponseAttributes]
      type: object
    JsonApiPaginationLinks:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiPaginationLinks
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    MessageResponseAttributes:
      properties:
        attachments:
          anyOf:
            - items:
                $ref: '#/components/schemas/RenderableAttachment'
              type: array
            - type: 'null'
          title: Attachments
        author_contact_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Contact Id
        author_display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Display Name
        body:
          anyOf:
            - type: string
            - type: 'null'
          title: Body
        conversation_id:
          title: Conversation Id
          type: string
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        edited_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Edited At
        entry_kind:
          $ref: '#/components/schemas/MessageEntryKind'
        event:
          anyOf:
            - $ref: '#/components/schemas/MessageEventData'
            - type: 'null'
        external_video_embeds:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: External Video Embeds
        is_deleted:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Deleted
        reaction_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reaction Count
        reactions:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/app__community__schemas__ReactionGroupAttributes
              type: array
            - type: 'null'
          title: Reactions
        reply_to:
          anyOf:
            - $ref: '#/components/schemas/MessageReplyBlockAttributes'
            - type: 'null'
      required:
        - conversation_id
        - entry_kind
      title: MessageResponseAttributes
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    RenderableAttachment:
      properties:
        asset_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset Kind
        file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: File Id
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        id:
          title: Id
          type: string
        media_id:
          title: Media Id
          type: string
        mime_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Mime Type
        role:
          title: Role
          type: string
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        status_upload:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Upload
        thumbnail_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail Url
        thumbnail_url_expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail Url Expires At
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        url_expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Url Expires At
      required:
        - id
        - media_id
        - role
      title: RenderableAttachment
      type: object
    MessageEntryKind:
      enum:
        - text
        - conversation_title_changed
      title: MessageEntryKind
      type: string
    MessageEventData:
      properties:
        previous_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Title
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
      required:
        - previous_title
        - title
      title: MessageEventData
      type: object
    app__community__schemas__ReactionGroupAttributes:
      properties:
        count:
          title: Count
          type: integer
        emoji:
          title: Emoji
          type: string
        my_reaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: My Reaction Id
        reacted_by_me:
          title: Reacted By Me
          type: boolean
      required:
        - emoji
        - count
        - reacted_by_me
      title: ReactionGroupAttributes
      type: object
    MessageReplyBlockAttributes:
      additionalProperties: false
      properties:
        author_contact_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Contact Id
        author_display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Display Name
        body:
          anyOf:
            - type: string
            - type: 'null'
          title: Body
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        state:
          enum:
            - visible
            - deleted
            - unavailable
          title: State
          type: string
      required:
        - state
      title: MessageReplyBlockAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````